Subject: RE: bug#26959: Feature request: bold underlines

From: Drew Adams <[email-masked]>
Date: Tue, 16 May 2017 21:21:56 -0700 (PDT)

> Could underline thickness be made configurable? It would be nice to be able
> to pick between regular and thick/bold underlines (the later would be
> obtained by doubling the usual underline thickness, I imagine).

See my reply to bug #26958.  Should we have two requests:

1. Wavy (and plain) underline to follow text scaling (#26958).
2. Be able to configure underline line-width (#26959).

Is #2 enough?  If we could customize the :line-width for :underline
(and :overline? and :strike-through?), would that be sufficient, or
is there also a need for such lines to be sensitive to text scaling?